Bug 382341 - k3b: crash when dropping FLAC file in Audio-cd project
k3b: crash when dropping FLAC file in Audio-cd project
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 07:49 EST by J.Jansen
Modified: 2008-01-06 20:23 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.0.4-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 20:16:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J.Jansen 2007-11-14 07:49:39 EST
Description of problem:
When I drop an FLAC file in an Audio-CD project k3b exits immidiately.


Version-Release number of selected component (if applicable):
k3b-1.0.3-3.fc8

Note : I had the same problem with a recent version of k3b on a F7 system. I
reinstalled F8 on that machine now.

How reproducible:
Always

Steps to Reproduce:
1.select a FLAC file and drop it in a new Audio-CD project
2.
3.
  
Actual results:
k3b exists

Expected results:
Flac file should be listed as audio track in the project

Additional info:
Comment 1 J.Jansen 2007-11-14 08:38:40 EST
after installing k3b-debug and running from command line, I find this in the
terminal window:

------------------------------
KCrash: Application 'k3b' crashing...
Could not find 'drkonqi' executable.
KCrash cannot reach kdeinit, launching directly.


Comment 2 Rex Dieter 2007-11-26 13:32:09 EST
Can you try out this test build? 
http://koji.fedoraproject.org/koji/taskinfo?taskID=259319
Comment 3 Rex Dieter 2007-11-26 13:38:47 EST
This is a better link to the test build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=25557
Comment 4 Jason Farrell 2007-11-26 13:44:26 EST
No more flac crashing here, after:
rpm -Uvh
http://koji.fedoraproject.org/packages/k3b/1.0.4/3.fc8/i386/k3b-1.0.4-3.fc8.i386.rpm
Comment 5 J.Jansen 2007-11-27 05:05:20 EST
Installed the update candidate and now k3b just icludes the flac file in the
audio-project

     Thanks
          Jouk
Comment 6 Rex Dieter 2007-11-27 08:36:09 EST
Thanks for the feedback, we'll work to issue an update soon.
Comment 7 Fedora Update System 2007-11-28 20:48:16 EST
k3b-1.0.4-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update k3b'
Comment 8 Fedora Update System 2007-12-06 15:49:58 EST
k3b-1.0.4-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Michael Schwendt 2007-12-07 13:06:44 EST
Simply rebuilding the released 1.0.3 package would have fixed it
most likely. Watch this:

https://www.redhat.com/archives/fedora-devel-list/2007-November/msg01407.html
Comment 10 Michael Schwendt 2007-12-07 14:21:26 EST
Fedora 7

$ rpm -q k3b
k3b-1.0.3-2.fc7

crashes in FLAC import too. See post linked in previous comment. Simple
bump'n'build of k3b without version upgrade will fix it already.
Comment 12 Fedora Update System 2007-12-10 15:47:55 EST
k3b-1.0.3-2.fc7.1 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update k3b'
Comment 13 Fedora Update System 2007-12-10 15:48:13 EST
k3b-1.0.4-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update k3b'
Comment 14 Fedora Update System 2007-12-12 14:56:23 EST
k3b-1.0.4-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update k3b'
Comment 15 Fedora Update System 2008-01-06 20:16:34 EST
k3b-1.0.4-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-01-06 20:23:26 EST
k3b-1.0.3-2.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.